const globp = require("./globp");

/**
 * Get a list of all the potential template files (index.html) found in the current
 * directory and its descendants.
 *
 * @returns {Array}
 */
const list = async () =>
    globp(
        "./**/index.html",
        // Ignore index.html files inside asset folders. These html
        //  files are used for folder assets in the media library
        {
            ignore: [
                "./assets/*",
                "./**/assets/**/*",
                "./**/dist/**/*",
                "./**/node_modules/**/*",
            ],
        }
    );

module.exports = {
    list,
};
