const debug = require("debug")("hoxtoncli:api");
const Router = require("koa-router");
const { router: data } = require("./data");
const { router: templates } = require("./templates");

class Api {
    middleware() {
        const router = new Router({ prefix: "/api" });
        router.use("/data", data.routes(), data.allowedMethods());
        router.use(
            "/master-templates",
            templates.routes(),
            templates.allowedMethods()
        );
        debug(
            "Routes",
            router.stack.map((i) => i.path)
        );
        return [router.routes(), router.allowedMethods()];
    }
}

module.exports = Api;
