const LocalWebServer = require("local-web-server");
const api = require("./api");
const inject = require("./inject");
const notFound = require("./not-found");
const log = require("../lib/log");

/**
 * Start up the local dev server
 */
const hoxtonDevServer = () => {
    LocalWebServer.create({
        port: 4010,
        cert: `${__dirname}/ssl/certificate.crt`,
        key: `${__dirname}/ssl/private.key`,
        hostname: "local-dev.hoxton.co",
        stack: [
            // The order of the following is VERY important!
            "lws-body-parser",
            "lws-cors",
            api,
            inject,
            "lws-static",
            notFound,
        ],
    });

    log("💡 Hoxton CLI is ready for changes...");
    log("🖥 View at: https://www.hoxton.co/sandbox");
};

module.exports = hoxtonDevServer;
