const notFoundHtml = `
<!DOCTYPE html>
<html lang="en">
<head>
    <title>404 Not Found</title>
    <meta charset="UTF-8">
</head>
<body>
    <h1>404 Not Found</h1>
</body>
</html>
`;

module.exports = class NotFound {
    middleware() {
        return async (ctx, next) => {
            await next();

            // If a path returns a 404 then we can set a HTML page for it
            // This allows us to inject the domain and the live relaod script
            //  which stops the hoxton.co/sanbox from crashing
            if (ctx.status === 404) {
                ctx.type = "text/html";
                ctx.body = notFoundHtml;
            }
        };
    }
};
